#include <tads.h>

/*
 * An XTads test game.
 * http://www.tads.org/t3doc/doc/techman/t3banner.htm - Working with a More Complicated Layout
 */
main(args)
{
	local b0 = nil;

   "Main";

   local bsl = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       1, BannerSizeAbsolute,
                       0);
	bannerSay(bsl, 'Status');
	inputKey();
	
	//---
	
	local centreWin = bannerCreate(nil, BannerAfter, bsl, BannerTypeText, BannerAlignTop,
    										15, BannerSizeAbsolute, BannerStyleBorder);
	bannerSay(centreWin, 'C');
	inputKey();
   
	//---
	
	local rightWin = bannerCreate(centreWin, BannerFirst,nil, BannerTypeText, BannerAlignRight,
    									5, BannerSizePercent, BannerStyleBorder);
	bannerSay(rightWin, 'R');
	inputKey();
	
   //---
   
   local leftWin = bannerCreate(centreWin, BannerAfter, rightWin, BannerTypeText, 
      								BannerAlignLeft,  5, BannerSizePercent, 0);
	bannerSay(leftWin, 'L');
	inputKey();
   
   //---

	local picWin = bannerCreate(centreWin, BannerAfter,  leftWin,  BannerTypeText, 
     									BannerAlignLeft, 35, BannerSizeAbsolute, BannerStyleBorder);
	bannerSay(picWin, 'Picture');
	inputKey();

   //---
   
   local captionWin = bannerCreate(centreWin, BannerAfter, rightWin, BannerTypeText, BannerAlignRight,
					                  40, BannerSizePercent, BannerStyleBorder);
	bannerSay(captionWin, 'Caption');
	inputKey();
   
    //---
    
    "\bPress another key to exit...\n";
    inputKey();
}
